#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 3;

# $Id: IdlEnumInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $enum = $repository -> find_by_name("Foo", "Enum1");
isa_ok($enum, "Glib::Object::Introspection::EnumInfo");

my @values = $enum -> get_values();
is(@values, 3);
isa_ok($values[0], "Glib::Object::Introspection::ValueInfo");
