#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 3;

# $Id: IdlPropertyInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $object = $repository -> find_by_name("Foo", "Object1");

my $property = $object -> get_properties();
isa_ok($property, "Glib::Object::Introspection::PropertyInfo");
is($property -> get_flags(), []);
isa_ok($property -> get_type(), "Glib::Object::Introspection::TypeInfo");
