#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 3;

# $Id: IdlRegisteredTypeInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $type = $repository -> find_by_name("Foo", "Object1");
isa_ok($type, "Glib::Object::Introspection::RegisteredTypeInfo");
is($type -> get_type_name(), "Object1");
is($type -> get_type_init(), "object1_get_type");
