#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 3;

# $Id: IdlConstantInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $interface = $repository -> find_by_name("Foo", "Iface1");

my @constants = $interface -> get_constants();
is(@constants, 1);
isa_ok($constants[0], "Glib::Object::Introspection::ConstantInfo");
isa_ok($constants[0] -> get_type(), "Glib::Object::Introspection::TypeInfo");
