#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 3;

# $Id: IdlVFuncInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $object = $repository -> find_by_name("Foo", "Object1");
my $vfunc = $object -> get_vfuncs();

is($vfunc -> get_flags(), []);
is($vfunc -> get_offset(), 0);
is($vfunc -> get_signal(), undef);
