#!/usr/bin/perl
use strict;
use warnings;
use Glib::Object::Introspection;
use Test::More tests => 1;

# $Id: IdlValueInfo.t,v 1.1.1.1 2005/08/21 14:39:45 torsten Exp $

my $repository = Glib::Object::Introspection::Repository -> get_default();
$repository -> register(join "", `cat t/test.raw`);

my $enum = $repository -> find_by_name("Foo", "Enum1");
my $value = $enum -> get_values();

is($value -> get_value(), 2);
